'Imagebin upload script for Audica Upload Tool 0.2.1
'Rel. 10-06-19
Option Explicit
Function upload(ByVal filepath)
    Dim p0, p1, s0, mimetype
	WebForm.Action = "http://imagebin.org/index.php"
	WebForm.Method = "POST"
	WebForm.Enctype = "multipart/form-data"
	WebForm.AddField "nickname", "Audica Uploader"
	WebForm.AddField "title", ""
	WebForm.AddField "description", ""
	WebForm.AddField "disclaimer_agree", "Y"
	WebForm.AddField "Submit", "Submit"
	WebForm.AddField "mode", "add"
	Select Case WebForm.PathExt(filepath)
	Case "gif": mimetype = "image/gif"		'GIF image
	Case "jpg", "jpe", "jpeg": mimetype = "image/jpeg"	'JPEG image
	Case "png": mimetype = "image/png"		'PNG image
	Case Else:
		upload = "Error: Imagebin accepts only PNG, JPG, GIF."
		Exit Function
	End Select
	WebForm.AddFile "image", filepath, mimetype, True

	XMLHTTP.Open WebForm.Method, WebForm.Action, True
	XMLHTTP.setRequestHeader "Content-type", WebForm.Enctype
	XMLHTTP.send WebForm.VarBody
	WebForm.WaitForXMLHTTPResponse()
	Select Case XMLHTTP.Status
	Case 200 'OK
		s0 = XMLHTTP.responseText
		p0 = InStr(1, s0, "/index.php?mode=image&id=")
		If p0 Then
			p1 = InStr(p0, s0, """")
			If p1 > p0 Then _
				upload = "http://imagebin.org" & Mid(s0, p0, p1 - p0) _
			else upload = "Error: Unparseable response."
		else
			upload = "Error: Unparseable response."
		End If
	Case Else 'Error
		MsgBox XMLHTTP.statusText, vbCritical, XMLHTTP.Status
	End Select
End Function
